#!/bin/bash

main()
{

if [ $# -gt 0 ]; then

  echo "This script does not accept arguments, parameters need to be added to perf_metrics.config Aborting"
  exit 1

fi


#Load submodules
git submodule update --init
#Get script directory
dir=$(pwd)

echo
echo "Using the following configuration:"
echo

# Load functions from file
source "$dir"/src/functions.sh

#Load parameters from file
source "$dir"/perf_metrics.config

# print parameters
grep -o '^[^#]*' perf_metrics.config
echo

#Init variables
Init

#Test if parameters are valid
Test_arguments

cd "${Gprof_path}"||(echo "Error ${Gprof_path} folder doesn't exists";  exit 1)

#Create the list of important functions from NEMO
Gprof_functions &

cd "${Run_path}"||(echo "Error ${Run_path} folder doesn't exists";  exit 1)
#Get the traces of the executions and cut 1 timestep 
Get_trace

cd "${Metrics_path}"||(echo "Error ${Metrics_path} folder doesn't exists";  exit 1)
#Generate the performance metrics
Create_metrics
trap - EXIT
}

main "$@"; exit


